Get Coupon
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/coupons/{code}import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/coupons/{code}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/coupons/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Coupons
Get Coupon
Retrieve a specific coupon by code.
GET
/
wp-json
/
latepoint-api
/
v1
/
coupons
/
{code}
Get Coupon
Path Parameters
string
required
The unique code of the coupon to retrieve
Example Request
GET /wp-json/latepoint-api/v1/coupons/DESCUENTO25
Authorization: Bearer YOUR_API_KEY
Response
{
"success": true,
"data": {
"id": "6",
"code": "DESCUENTO25",
"name": "Descuento 25%",
"description": "Descuento del 25% en todos los servicios",
"discount_type": "percent",
"discount_value": 25,
"readable_discount": "25%",
"status": "active",
"active_from": "0000-00-00",
"active_to": "0000-00-00",
"rules": null,
"usage_count": 0,
"total_discount": 0,
"last_usage_date": "n/a",
"recent_orders": [],
"created_at": "2025-08-18 07:59:36",
"updated_at": "2025-08-18 07:59:36"
}
}
⌘I
